# KDE tags expanded automatically by am_edit - $Revision: 1.1.1.1 $ 
# Makefile.in generated automatically by automake 1.4 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

####### kdevelop will overwrite this part!!! (begin)##########


SHELL = @SHELL@

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
prefix = @prefix@
exec_prefix = @exec_prefix@
#>- 
bindir = @bindir@
#>+ 3
DEPDIR = .deps

bindir = @bindir@
sbindir = @sbindir@
libexecdir = @libexecdir@
datadir = @datadir@
sysconfdir = @sysconfdir@
sharedstatedir = @sharedstatedir@
localstatedir = @localstatedir@
libdir = @libdir@
infodir = @infodir@
mandir = @mandir@
includedir = @includedir@
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@

top_builddir = ..

ACLOCAL = @ACLOCAL@
AUTOCONF = @AUTOCONF@
AUTOMAKE = @AUTOMAKE@
AUTOHEADER = @AUTOHEADER@

INSTALL = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@ $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = @INSTALL_DATA@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
transform = @program_transform_name@

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_alias = @build_alias@
build_triplet = @build@
host_alias = @host_alias@
host_triplet = @host@
target_alias = @target_alias@
target_triplet = @target@
ARTSCCONFIG = @ARTSCCONFIG@
AS = @AS@
AUTODIRS = @AUTODIRS@
CC = @CC@
CONF_FILES = @CONF_FILES@
CPP = @CPP@
CXX = @CXX@
CXXCPP = @CXXCPP@
DCOPIDL = @DCOPIDL@
DCOPIDL2CPP = @DCOPIDL2CPP@
DCOP_DEPENDENCIES = @DCOP_DEPENDENCIES@
DLLTOOL = @DLLTOOL@
DPMSINC = @DPMSINC@
DPMSLIB = @DPMSLIB@
EXEEXT = @EXEEXT@
GCJ = @GCJ@
GCJFLAGS = @GCJFLAGS@
GLINC = @GLINC@
GLLIB = @GLLIB@
GMSGFMT = @GMSGFMT@
IDL = @IDL@
IDL_DEPENDENCIES = @IDL_DEPENDENCIES@
KDB2HTML = @KDB2HTML@
KDECONFIG = @KDECONFIG@
KDE_CXXFLAGS = @KDE_CXXFLAGS@
KDE_EXTRA_RPATH = @KDE_EXTRA_RPATH@
KDE_INCLUDES = @KDE_INCLUDES@
KDE_LDFLAGS = @KDE_LDFLAGS@
KDE_PLUGIN = @KDE_PLUGIN@
KDE_RPATH = @KDE_RPATH@
KDE_USE_CLOSURE_FALSE = @KDE_USE_CLOSURE_FALSE@
KDE_USE_CLOSURE_TRUE = @KDE_USE_CLOSURE_TRUE@
KDE_USE_FINAL_FALSE = @KDE_USE_FINAL_FALSE@
KDE_USE_FINAL_TRUE = @KDE_USE_FINAL_TRUE@
LIBCOMPAT = @LIBCOMPAT@
LIBCRYPT = @LIBCRYPT@
LIBDL = @LIBDL@
LIBJPEG = @LIBJPEG@
LIBMICO = @LIBMICO@
LIBOBJS = @LIBOBJS@
LIBPNG = @LIBPNG@
LIBPTHREAD = @LIBPTHREAD@
LIBPYTHON = @LIBPYTHON@
LIBQIMGIO = @LIBQIMGIO@
LIBSM = @LIBSM@
LIBSOCKET = @LIBSOCKET@
LIBTIFF = @LIBTIFF@
LIBTOOL = @LIBTOOL@
LIBUCB = @LIBUCB@
LIBZ = @LIBZ@
LIB_KAB = @LIB_KAB@
LIB_KDECORE = @LIB_KDECORE@
LIB_KDEUI = @LIB_KDEUI@
LIB_KFILE = @LIB_KFILE@
LIB_KFM = @LIB_KFM@
LIB_KFORMULA = @LIB_KFORMULA@
LIB_KHTML = @LIB_KHTML@
LIB_KIMGIO = @LIB_KIMGIO@
LIB_KIO = @LIB_KIO@
LIB_KPARTS = @LIB_KPARTS@
LIB_KSPELL = @LIB_KSPELL@
LIB_KSYCOCA = @LIB_KSYCOCA@
LIB_KWRITE = @LIB_KWRITE@
LIB_QT = @LIB_QT@
LIB_SMB = @LIB_SMB@
LIB_X11 = @LIB_X11@
LN_S = @LN_S@
MAKEINFO = @MAKEINFO@
MCOPIDL = @MCOPIDL@
MICO_INCLUDES = @MICO_INCLUDES@
MICO_LDFLAGS = @MICO_LDFLAGS@
MOC = @MOC@
MSGFMT = @MSGFMT@
NOOPT_CXXFLAGS = @NOOPT_CXXFLAGS@
NOREPO = @NOREPO@
OBJDUMP = @OBJDUMP@
OBJEXT = @OBJEXT@
PACKAGE = @PACKAGE@
PAMINC = @PAMINC@
PAMLIBPATHS = @PAMLIBPATHS@
PAMLIBS = @PAMLIBS@
PYTHONINC = @PYTHONINC@
PYTHONLIB = @PYTHONLIB@
PYTHONMODDIR = @PYTHONMODDIR@
QT_INCLUDES = @QT_INCLUDES@
QT_LDFLAGS = @QT_LDFLAGS@
RANLIB = @RANLIB@
REPO = @REPO@
STRIP = @STRIP@
TOPSUBDIRS = @TOPSUBDIRS@
UIC = @UIC@
USER_INCLUDES = @USER_INCLUDES@
USER_LDFLAGS = @USER_LDFLAGS@
USE_EXCEPTIONS = @USE_EXCEPTIONS@
USE_RTTI = @USE_RTTI@
USE_THREADS = @USE_THREADS@
VERSION = @VERSION@
XGETTEXT = @XGETTEXT@
XPMINC = @XPMINC@
XPMLIB = @XPMLIB@
X_EXTRA_LIBS = @X_EXTRA_LIBS@
X_INCLUDES = @X_INCLUDES@
X_LDFLAGS = @X_LDFLAGS@
X_PRE_LIBS = @X_PRE_LIBS@
all_includes = @all_includes@
all_libraries = @all_libraries@
idldir = @idldir@
kde_appsdir = @kde_appsdir@
kde_bindir = @kde_bindir@
kde_confdir = @kde_confdir@
kde_datadir = @kde_datadir@
kde_htmldir = @kde_htmldir@
kde_icondir = @kde_icondir@
kde_includes = @kde_includes@
kde_libraries = @kde_libraries@
kde_libs_htmldir = @kde_libs_htmldir@
kde_libs_prefix = @kde_libs_prefix@
kde_locale = @kde_locale@
kde_mimedir = @kde_mimedir@
kde_moduledir = @kde_moduledir@
kde_servicesdir = @kde_servicesdir@
kde_servicetypesdir = @kde_servicetypesdir@
kde_sounddir = @kde_sounddir@
kde_templatesdir = @kde_templatesdir@
kde_wallpaperdir = @kde_wallpaperdir@
micodir = @micodir@
qt_includes = @qt_includes@
qt_libraries = @qt_libraries@
x_includes = @x_includes@
x_libraries = @x_libraries@

bin_PROGRAMS = kfocus
kfocus_SOURCES = kfvdate.cpp kfxenddate.cpp kfmenddate.cpp kfmprojectlist.cpp kfvprojectlist.cpp kfvlog.cpp kfvproject.cpp kfocuslogbook.cpp kfmproject.cpp kfocusdialogcompletetask.cpp kdatedialog.cpp kfocuslogentriesview.cpp kfocuslogentry.cpp kfocustasklist.cpp kfocustasksview.cpp kfocustaskpropsview.cpp kfocustask.cpp kfocusview.cpp kfocusdoc.cpp kfocus.cpp main.cpp 
kfocus_LDADD = -lkfile -lkdeui -lkdecore $(LIB_QT) $(LIBSOCKET)

EXTRA_DIST = main.cpp kfocus.cpp kfocus.h kfocusdoc.cpp kfocusdoc.h kfocusview.cpp kfocusview.h kfocus.desktop lo32-app-kfocus.png lo16-app-kfocus.png kfocustask.cpp kfocustask.h kfocustaskpropsview.cpp kfocustaskpropsview.h kfocustasksview.cpp kfocustasksview.h kfocustasklist.cpp kfocustasklist.h kfocuslogentry.cpp kfocuslogentry.h kfocuslogentriesview.cpp kfocuslogentriesview.h kdatedialog.cpp kdatedialog.h kfocusdialogcompletetask.cpp kfocusdialogcompletetask.h kfmproject.cpp kfmproject.h kfocuslogbook.cpp kfocuslogbook.h kfvproject.h kfvproject.cpp kfvlog.cpp kfvlog.h kfvprojectlist.cpp kfvprojectlist.h kfmprojectlist.cpp kfmprojectlist.h kfocusui.rc kfmenddate.cpp kfmenddate.h kfxenddate.cpp kfxenddate.h kfvdate.cpp kfvdate.h 

####### kdevelop will overwrite this part!!! (end)############
# this 10 paths are KDE specific. Use them:
# kde_htmldir       Where your docs should go to. (contains lang subdirs)
# kde_appsdir       Where your application file (.kdelnk) should go to. 
# kde_icondir       Where your icon should go to.
# kde_minidir       Where your mini icon should go to.
# kde_datadir       Where you install application data. (Use a subdir)
# kde_locale        Where translation files should go to.(contains lang subdirs)
# kde_cgidir        Where cgi-bin executables should go to.
# kde_confdir       Where config files should go to.
# kde_mimedir       Where mimetypes should go to.
# kde_toolbardir    Where general toolbar icons should go to.
# kde_wallpaperdir  Where general wallpapers should go to.

# set the include path for X, qt and KDE
INCLUDES = $(all_includes)

#>- METASOURCES = AUTO

# the library search path. 
kfocus_LDFLAGS = $(all_libraries) $(KDE_RPATH)

rcdir = $(kde_datadir)/kfocus
rc_DATA = kfocusui.rc
mkinstalldirs = $(SHELL) $(top_srcdir)/admin/mkinstalldirs
CONFIG_HEADER = ../config.h
CONFIG_CLEAN_FILES = 
bin_PROGRAMS =  kfocus$(EXEEXT)
PROGRAMS =  $(bin_PROGRAMS)


DEFS = @DEFS@ -I. -I$(srcdir) -I..
CPPFLAGS = @CPPFLAGS@
LDFLAGS = @LDFLAGS@
LIBS = @LIBS@
#>- kfocus_OBJECTS =  kfvdate.$(OBJEXT) kfxenddate.$(OBJEXT) \
#>- kfmenddate.$(OBJEXT) kfmprojectlist.$(OBJEXT) kfvprojectlist.$(OBJEXT) \
#>- kfvlog.$(OBJEXT) kfvproject.$(OBJEXT) kfocuslogbook.$(OBJEXT) \
#>- kfmproject.$(OBJEXT) kfocusdialogcompletetask.$(OBJEXT) \
#>- kdatedialog.$(OBJEXT) kfocuslogentriesview.$(OBJEXT) \
#>- kfocuslogentry.$(OBJEXT) kfocustasklist.$(OBJEXT) \
#>- kfocustasksview.$(OBJEXT) kfocustaskpropsview.$(OBJEXT) \
#>- kfocustask.$(OBJEXT) kfocusview.$(OBJEXT) kfocusdoc.$(OBJEXT) \
#>- kfocus.$(OBJEXT) main.$(OBJEXT)
#>+ 14
kfocus_final_OBJECTS = kfocus.all_cpp.o 
kfocus_nofinal_OBJECTS = kfvdate.$(OBJEXT) kfxenddate.$(OBJEXT) \
kfmenddate.$(OBJEXT) kfmprojectlist.$(OBJEXT) kfvprojectlist.$(OBJEXT) \
kfvlog.$(OBJEXT) kfvproject.$(OBJEXT) kfocuslogbook.$(OBJEXT) \
kfmproject.$(OBJEXT) kfocusdialogcompletetask.$(OBJEXT) \
kdatedialog.$(OBJEXT) kfocuslogentriesview.$(OBJEXT) \
kfocuslogentry.$(OBJEXT) kfocustasklist.$(OBJEXT) \
kfocustasksview.$(OBJEXT) kfocustaskpropsview.$(OBJEXT) \
kfocustask.$(OBJEXT) kfocusview.$(OBJEXT) kfocusdoc.$(OBJEXT) \
kfocus.$(OBJEXT) main.$(OBJEXT)\
kdatedialog.moc.o kfocusview.moc.o kfmproject.moc.o kfocuslogentry.moc.o kfocuslogbook.moc.o kfmprojectlist.moc.o kfvproject.moc.o kfocustasksview.moc.o kfocusdoc.moc.o kfocustask.moc.o kfvlog.moc.o kfocus.moc.o kfocuslogentriesview.moc.o kfvdate.moc.o kfmenddate.moc.o kfvprojectlist.moc.o kfocusdialogcompletetask.moc.o kfocustaskpropsview.moc.o kfocustasklist.moc.o  \
kfocus_meta_unload.o 
@KDE_USE_FINAL_FALSE@kfocus_OBJECTS = $(kfocus_nofinal_OBJECTS)
@KDE_USE_FINAL_TRUE@kfocus_OBJECTS = $(kfocus_final_OBJECTS)
kfocus_DEPENDENCIES = 
CXXFLAGS = @CXXFLAGS@
#>- CXXCOMPILE = $(CXX) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
#>+ 1
CXXCOMPILE = $(CXX) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS)
#>- LTCXXCOMPILE = $(LIBTOOL) --mode=compile $(CXX) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
#>+ 1
LTCXXCOMPILE = $(LIBTOOL) --mode=compile --tag=CXX $(CXX) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS)
CXXLD = $(CXX)
#>- CXXLINK = $(LIBTOOL) --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(LDFLAGS) -o $@
#>+ 1
CXXLINK = $(LIBTOOL) --mode=link --tag=CXX $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS) $(LDFLAGS) -o $@
DATA =  $(rc_DATA)

DIST_COMMON =  Makefile.am Makefile.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = gtar
GZIP_ENV = --best
SOURCES = $(kfocus_SOURCES)
OBJECTS = $(kfocus_OBJECTS)

#>- all: all-redirect
#>+ 1
all: docs-am  all-redirect
.SUFFIXES:
.SUFFIXES: .S .c .cpp .lo .o .obj .s
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
#>- 	cd $(top_srcdir) && $(AUTOMAKE) --gnu --include-deps kfocus/Makefile
#>+ 2
	cd $(top_srcdir) && $(AUTOMAKE) --gnu --include-deps kfocus/Makefile
	cd $(top_srcdir) && perl admin/am_edit kfocus/Makefile.in

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


mostlyclean-binPROGRAMS:

clean-binPROGRAMS:
	-test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)

distclean-binPROGRAMS:

maintainer-clean-binPROGRAMS:

install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(bindir)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo " $(LIBTOOL)  --mode=install $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`"; \
	    $(LIBTOOL)  --mode=install $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	list='$(bin_PROGRAMS)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
	done

.c.o:
	$(COMPILE) -c $<

# FIXME: We should only use cygpath when building on Windows,
# and only if it is available.
.c.obj:
	$(COMPILE) -c `cygpath -w $<`

.s.o:
	$(COMPILE) -c $<

.S.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	-rm -f *.o core *.core
	-rm -f *.$(OBJEXT)

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:

.c.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

.s.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

.S.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:

maintainer-clean-libtool:

kfocus$(EXEEXT): $(kfocus_OBJECTS) $(kfocus_DEPENDENCIES)
	@rm -f kfocus$(EXEEXT)
	$(CXXLINK) $(kfocus_LDFLAGS) $(kfocus_OBJECTS) $(kfocus_LDADD) $(LIBS)
.cpp.o:
	$(CXXCOMPILE) -c $<
.cpp.obj:
	$(CXXCOMPILE) -c `cygpath -w $<`
.cpp.lo:
	$(LTCXXCOMPILE) -c $<

install-rcDATA: $(rc_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(rcdir)
	@list='$(rc_DATA)'; for p in $$list; do \
	  if test -f $(srcdir)/$$p; then \
	    echo " $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(rcdir)/$$p"; \
	    $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(rcdir)/$$p; \
	  else if test -f $$p; then \
	    echo " $(INSTALL_DATA) $$p $(DESTDIR)$(rcdir)/$$p"; \
	    $(INSTALL_DATA) $$p $(DESTDIR)$(rcdir)/$$p; \
	  fi; fi; \
	done

uninstall-rcDATA:
	@$(NORMAL_UNINSTALL)
	list='$(rc_DATA)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(rcdir)/$$p; \
	done

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP)
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	here=`pwd` && cd $(srcdir) \
	  && mkid -f$$here/ID $$unique $(LISP)

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$unique$(LISP)$$tags" \
	  || (cd $(srcdir) && etags $(ETAGS_ARGS) $$tags  $$unique $(LISP) -o $$here/TAGS)

mostlyclean-tags:

clean-tags:

distclean-tags:
	-rm -f TAGS ID

maintainer-clean-tags:

distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = kfocus

distdir: $(DISTFILES)
#>- 	@for file in $(DISTFILES); do \
#>- 	  d=$(srcdir); \
#>- 	  if test -d $$d/$$file; then \
#>- 	    cp -pr $$/$$file $(distdir)/$$file; \
#>- 	  else \
#>- 	    test -f $(distdir)/$$file \
#>- 	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
#>- 	    || cp -p $$d/$$file $(distdir)/$$file || :; \
#>- 	  fi; \
#>- 	done
#>+ 10
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$d/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done

info-am:
info: info-am
dvi-am:
dvi: dvi-am
check-am: all-am
check: check-am
installcheck-am:
installcheck: installcheck-am
install-exec-am: install-binPROGRAMS
install-exec: install-exec-am

install-data-am: install-rcDATA install-data-local
install-data: install-data-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-am
uninstall-am: uninstall-binPROGRAMS uninstall-rcDATA uninstall-local
uninstall: uninstall-am
all-am: Makefile $(PROGRAMS) $(DATA)
all-redirect: all-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs:
	$(mkinstalldirs)  $(DESTDIR)$(bindir) $(DESTDIR)$(rcdir)


mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
mostlyclean-am:  mostlyclean-binPROGRAMS mostlyclean-compile \
		mostlyclean-libtool mostlyclean-tags \
		mostlyclean-generic

mostlyclean: mostlyclean-am

#>- clean-am:  clean-binPROGRAMS clean-compile clean-libtool clean-tags \
#>- 		clean-generic mostlyclean-am
#>+ 2
clean-am: clean-metasources clean-moc-classes clean-final   clean-binPROGRAMS clean-compile clean-libtool clean-tags \
		clean-generic mostlyclean-am

#>- clean: clean-am
#>+ 1
clean: kde-rpo-clean  clean-am

distclean-am:  distclean-binPROGRAMS distclean-compile distclean-libtool \
		distclean-tags distclean-generic clean-am
	-rm -f libtool

distclean: distclean-am

maintainer-clean-am:  maintainer-clean-binPROGRAMS \
		maintainer-clean-compile maintainer-clean-libtool \
		maintainer-clean-tags maintainer-clean-generic \
		distclean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-am

.PHONY: mostlyclean-binPROGRAMS distclean-binPROGRAMS clean-binPROGRAMS \
maintainer-clean-binPROGRAMS uninstall-binPROGRAMS install-binPROGRAMS \
mostlyclean-compile distclean-compile clean-compile \
maintainer-clean-compile mostlyclean-libtool distclean-libtool \
clean-libtool maintainer-clean-libtool uninstall-rcDATA install-rcDATA \
tags mostlyclean-tags distclean-tags clean-tags maintainer-clean-tags \
distdir info-am info dvi-am dvi check check-am installcheck-am \
installcheck install-exec-am install-exec install-data-local \
install-data-am install-data install-am install uninstall-local \
uninstall-am uninstall all-redirect all-am all installdirs \
mostlyclean-generic distclean-generic clean-generic \
maintainer-clean-generic clean mostlyclean distclean maintainer-clean


install-data-local:
#>- 	$(mkinstalldirs) $(kde_appsdir)/Applications/
#>+ 1
	$(mkinstalldirs) $(DESTDIR)$(kde_appsdir)/Applications/
#>- 	$(INSTALL_DATA) $(srcdir)/kfocus.desktop $(kde_appsdir)/Applications/kfocus.desktop
#>+ 1
	$(INSTALL_DATA) $(srcdir)/kfocus.desktop $(DESTDIR)$(kde_appsdir)/Applications/kfocus.desktop
#>- 	$(mkinstalldirs) $(kde_icondir)/locolor/32x32/apps/
#>+ 1
	$(mkinstalldirs) $(DESTDIR)$(kde_icondir)/locolor/32x32/apps/
#>- 	$(INSTALL_DATA) $(srcdir)/lo32-app-kfocus.png $(kde_icondir)/locolor/32x32/apps/kfocus.png
#>+ 1
	$(INSTALL_DATA) $(srcdir)/lo32-app-kfocus.png $(DESTDIR)$(kde_icondir)/locolor/32x32/apps/kfocus.png
#>- 	$(mkinstalldirs) $(kde_icondir)/locolor/16x16/apps/
#>+ 1
	$(mkinstalldirs) $(DESTDIR)$(kde_icondir)/locolor/16x16/apps/
#>- 	$(INSTALL_DATA) $(srcdir)/lo16-app-kfocus.png $(kde_icondir)/locolor/16x16/apps/kfocus.png
#>+ 1
	$(INSTALL_DATA) $(srcdir)/lo16-app-kfocus.png $(DESTDIR)$(kde_icondir)/locolor/16x16/apps/kfocus.png

uninstall-local:
#>- 	-rm -f $(kde_appsdir)/Applications/kfocus.desktop
#>+ 1
	-rm -f $(DESTDIR)$(kde_appsdir)/Applications/kfocus.desktop
#>- 	-rm -f $(kde_icondir)/locolor/32x32/apps/kfocus.png
#>+ 1
	-rm -f $(DESTDIR)$(kde_icondir)/locolor/32x32/apps/kfocus.png
#>- 	-rm -f $(kde_icondir)/locolor/16x16/apps/kfocus.png
#>+ 1
	-rm -f $(DESTDIR)$(kde_icondir)/locolor/16x16/apps/kfocus.png

messages: rc.cpp
	LIST=`find . -name \*.h -o -name \*.hh -o -name \*.H -o -name \*.hxx -o -name \*.hpp -o -name \*.cpp -o -name \*.cc -o -name \*.cxx -o -name \*.ecpp -o -name \*.C`; \
	if test -n "$$LIST"; then \
	 $(XGETTEXT) $$LIST -o $(podir)/kfocus.pot; \
	fi

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

#>+ 3
kdatedialog.moc.cpp: $(srcdir)/kdatedialog.h
	$(MOC) $(srcdir)/kdatedialog.h -o kdatedialog.moc.cpp

#>+ 3
kfocusview.moc.cpp: $(srcdir)/kfocusview.h
	$(MOC) $(srcdir)/kfocusview.h -o kfocusview.moc.cpp

#>+ 3
kfmproject.moc.cpp: $(srcdir)/kfmproject.h
	$(MOC) $(srcdir)/kfmproject.h -o kfmproject.moc.cpp

#>+ 3
kfocuslogentry.moc.cpp: $(srcdir)/kfocuslogentry.h
	$(MOC) $(srcdir)/kfocuslogentry.h -o kfocuslogentry.moc.cpp

#>+ 3
kfocuslogbook.moc.cpp: $(srcdir)/kfocuslogbook.h
	$(MOC) $(srcdir)/kfocuslogbook.h -o kfocuslogbook.moc.cpp

#>+ 3
kfmprojectlist.moc.cpp: $(srcdir)/kfmprojectlist.h
	$(MOC) $(srcdir)/kfmprojectlist.h -o kfmprojectlist.moc.cpp

#>+ 3
kfvproject.moc.cpp: $(srcdir)/kfvproject.h
	$(MOC) $(srcdir)/kfvproject.h -o kfvproject.moc.cpp

#>+ 3
kfocustasksview.moc.cpp: $(srcdir)/kfocustasksview.h
	$(MOC) $(srcdir)/kfocustasksview.h -o kfocustasksview.moc.cpp

#>+ 3
kfocusdoc.moc.cpp: $(srcdir)/kfocusdoc.h
	$(MOC) $(srcdir)/kfocusdoc.h -o kfocusdoc.moc.cpp

#>+ 3
kfocustask.moc.cpp: $(srcdir)/kfocustask.h
	$(MOC) $(srcdir)/kfocustask.h -o kfocustask.moc.cpp

#>+ 3
kfvlog.moc.cpp: $(srcdir)/kfvlog.h
	$(MOC) $(srcdir)/kfvlog.h -o kfvlog.moc.cpp

#>+ 3
kfocus.moc.cpp: $(srcdir)/kfocus.h
	$(MOC) $(srcdir)/kfocus.h -o kfocus.moc.cpp

#>+ 3
kfocuslogentriesview.moc.cpp: $(srcdir)/kfocuslogentriesview.h
	$(MOC) $(srcdir)/kfocuslogentriesview.h -o kfocuslogentriesview.moc.cpp

#>+ 3
kfvdate.moc.cpp: $(srcdir)/kfvdate.h
	$(MOC) $(srcdir)/kfvdate.h -o kfvdate.moc.cpp

#>+ 3
kfmenddate.moc.cpp: $(srcdir)/kfmenddate.h
	$(MOC) $(srcdir)/kfmenddate.h -o kfmenddate.moc.cpp

#>+ 3
kfvprojectlist.moc.cpp: $(srcdir)/kfvprojectlist.h
	$(MOC) $(srcdir)/kfvprojectlist.h -o kfvprojectlist.moc.cpp

#>+ 3
kfocusdialogcompletetask.moc.cpp: $(srcdir)/kfocusdialogcompletetask.h
	$(MOC) $(srcdir)/kfocusdialogcompletetask.h -o kfocusdialogcompletetask.moc.cpp

#>+ 3
kfocustaskpropsview.moc.cpp: $(srcdir)/kfocustaskpropsview.h
	$(MOC) $(srcdir)/kfocustaskpropsview.h -o kfocustaskpropsview.moc.cpp

#>+ 3
kfocustasklist.moc.cpp: $(srcdir)/kfocustasklist.h
	$(MOC) $(srcdir)/kfocustasklist.h -o kfocustasklist.moc.cpp

#>+ 3
clean-metasources:
	-rm -f  kdatedialog.moc.cpp kfocusview.moc.cpp kfmproject.moc.cpp kfocuslogentry.moc.cpp kfocuslogbook.moc.cpp kfmprojectlist.moc.cpp kfvproject.moc.cpp kfocustasksview.moc.cpp kfocusdoc.moc.cpp kfocustask.moc.cpp kfvlog.moc.cpp kfocus.moc.cpp kfocuslogentriesview.moc.cpp kfvdate.moc.cpp kfmenddate.moc.cpp kfvprojectlist.moc.cpp kfocusdialogcompletetask.moc.cpp kfocustaskpropsview.moc.cpp kfocustasklist.moc.cpp

#>+ 2
docs-am:

#>+ 5
force-reedit:
		cd $(top_srcdir) && $(AUTOMAKE) --gnu --include-deps kfocus/Makefile
	cd $(top_srcdir) && perl admin/am_edit kfocus/Makefile.in


#>+ 10
kfocus_meta_unload.cpp:  kdatedialog.moc.cpp kfocusview.moc.cpp kfmproject.moc.cpp kfocuslogentry.moc.cpp kfocuslogbook.moc.cpp kfmprojectlist.moc.cpp kfvproject.moc.cpp kfocustasksview.moc.cpp kfocusdoc.moc.cpp kfocustask.moc.cpp kfvlog.moc.cpp kfocus.moc.cpp kfocuslogentriesview.moc.cpp kfvdate.moc.cpp kfmenddate.moc.cpp kfvprojectlist.moc.cpp kfocustaskpropsview.moc.cpp kfocusdialogcompletetask.moc.cpp kfocustasklist.moc.cpp
	@echo 'creating kfocus_meta_unload.cpp'
	-rm -f kfocus_meta_unload.cpp
	@echo 'static const char * _metalist_kfocus[] = {' > kfocus_meta_unload.cpp
	cat  kdatedialog.moc.cpp kfocusview.moc.cpp kfmproject.moc.cpp kfocuslogentry.moc.cpp kfocuslogbook.moc.cpp kfmprojectlist.moc.cpp kfvproject.moc.cpp kfocustasksview.moc.cpp kfocusdoc.moc.cpp kfocustask.moc.cpp kfvlog.moc.cpp kfocus.moc.cpp kfocuslogentriesview.moc.cpp kfvdate.moc.cpp kfmenddate.moc.cpp kfvprojectlist.moc.cpp kfocustaskpropsview.moc.cpp kfocusdialogcompletetask.moc.cpp kfocustasklist.moc.cpp | grep 'char.*className' | sed -e 's/.*[^A-Za-z0-9_:]\([A-Za-z0-9_:]*\)::className.*$$/\"\1\",/' | sort | uniq >> kfocus_meta_unload.cpp
	@echo '0};' >> kfocus_meta_unload.cpp
	@echo '#include <kunload.h>' >> kfocus_meta_unload.cpp
	@echo '_UNLOAD(kfocus)' >> kfocus_meta_unload.cpp


#>+ 3
clean-moc-classes:
	-rm -f  kfocus_meta_unload.cpp

#>+ 11
kfocus.all_cpp.cpp: $(srcdir)/Makefile.in $(srcdir)/kfvdate.cpp $(srcdir)/kfxenddate.cpp $(srcdir)/kfmenddate.cpp $(srcdir)/kfmprojectlist.cpp $(srcdir)/kfvprojectlist.cpp $(srcdir)/kfvlog.cpp $(srcdir)/kfvproject.cpp $(srcdir)/kfocuslogbook.cpp $(srcdir)/kfmproject.cpp $(srcdir)/kfocusdialogcompletetask.cpp $(srcdir)/kdatedialog.cpp $(srcdir)/kfocuslogentriesview.cpp $(srcdir)/kfocuslogentry.cpp $(srcdir)/kfocustasklist.cpp $(srcdir)/kfocustasksview.cpp $(srcdir)/kfocustaskpropsview.cpp $(srcdir)/kfocustask.cpp $(srcdir)/kfocusview.cpp $(srcdir)/kfocusdoc.cpp $(srcdir)/kfocus.cpp $(srcdir)/main.cpp kfocus_meta_unload.cpp  kdatedialog.moc.cpp kfocusview.moc.cpp kfmproject.moc.cpp kfocuslogentry.moc.cpp kfocuslogbook.moc.cpp kfmprojectlist.moc.cpp kfvproject.moc.cpp kfocustasksview.moc.cpp kfocusdoc.moc.cpp kfocustask.moc.cpp kfvlog.moc.cpp kfocus.moc.cpp kfocuslogentriesview.moc.cpp kfvdate.moc.cpp kfmenddate.moc.cpp kfvprojectlist.moc.cpp kfocusdialogcompletetask.moc.cpp kfocustaskpropsview.moc.cpp kfocustasklist.moc.cpp
	@echo 'creating kfocus.all_cpp.cpp ...'; \
	rm -f kfocus.all_cpp.files kfocus.all_cpp.final; \
	echo "#define KDE_USE_FINAL 1" >> kfocus.all_cpp.final; \
	for file in kfvdate.cpp kfxenddate.cpp kfmenddate.cpp kfmprojectlist.cpp kfvprojectlist.cpp kfvlog.cpp kfvproject.cpp kfocuslogbook.cpp kfmproject.cpp kfocusdialogcompletetask.cpp kdatedialog.cpp kfocuslogentriesview.cpp kfocuslogentry.cpp kfocustasklist.cpp kfocustasksview.cpp kfocustaskpropsview.cpp kfocustask.cpp kfocusview.cpp kfocusdoc.cpp kfocus.cpp main.cpp kfocus_meta_unload.cpp  kdatedialog.moc.cpp kfocusview.moc.cpp kfmproject.moc.cpp kfocuslogentry.moc.cpp kfocuslogbook.moc.cpp kfmprojectlist.moc.cpp kfvproject.moc.cpp kfocustasksview.moc.cpp kfocusdoc.moc.cpp kfocustask.moc.cpp kfvlog.moc.cpp kfocus.moc.cpp kfocuslogentriesview.moc.cpp kfvdate.moc.cpp kfmenddate.moc.cpp kfvprojectlist.moc.cpp kfocusdialogcompletetask.moc.cpp kfocustaskpropsview.moc.cpp kfocustasklist.moc.cpp; do \
	  echo "#include \"$$file\"" >> kfocus.all_cpp.files; \
	  test ! -f $(srcdir)/$$file || egrep '^#pragma +implementation' $(srcdir)/$$file >> kfocus.all_cpp.final; \
	done; \
	cat kfocus.all_cpp.final kfocus.all_cpp.files  > kfocus.all_cpp.cpp; \
	rm -f kfocus.all_cpp.final kfocus.all_cpp.files

#>+ 3
clean-final:
	-rm -f kfocus.all_cpp.cpp

#>+ 2
final:
	$(MAKE) kfocus_OBJECTS="$(kfocus_final_OBJECTS)" all-am
#>+ 2
no-final:
	$(MAKE) kfocus_OBJECTS="$(kfocus_nofinal_OBJECTS)" all-am
#>+ 3
cvs-clean:
	$(MAKE) -f $(top_srcdir)/admin/Makefile.common cvs-clean

#>+ 3
kde-rpo-clean:
	-rm -f *.rpo
